#comment out if not git build
#define gdate 20150719

#rel to bump
%define rel 1

%define major     9
%define api       0.3
%define libname   %mklibname openraw %{major}
%define develname %mklibname openraw -d

Summary:	Camera RAW files decoding library
Name:		libopenraw
Version:	0.3.7
Release:	%mkrel %{?gdate:0.git%gdate.}%{rel}
License:	LGPLv3+
Group:		System/Libraries
Url:		https://libopenraw.freedesktop.org
%if 0%{?gdate:1}
Source0:	libopenraw-%{gdate}.tar.xz
%else
Source0: 	https://libopenraw.freedesktop.org/download/%{name}-%{version}.tar.bz2
%endif
BuildRequires:	autoconf-archive
BuildRequires:	boost-devel
BuildRequires:	pkgconfig(libjpeg)
BuildRequires:	pkgconfig(gdk-pixbuf-2.0)
BuildRequires:	pkgconfig(libxml-2.0)
BuildRequires:	pkgconfig(libcurl)
BuildRequires:	doxygen
Requires(post):		gdk-pixbuf2.0
Requires(postun):	gdk-pixbuf2.0

%description
libopenraw is an ongoing project to provide a free software implementation
for camera RAW files decoding. One of the main reason is that dcraw is not
suited for easy integration into applications, and there is a need for an
easy to use API to build free software digital image processing application.

It also has the goal to address missing feature from dcraw like meta-data
decoding and easy thumbnail extraction.

%package -n	%{libname}
Summary:	Camera RAW files decoding library
Group:		System/Libraries
Provides:	%{name} = %{version}-%{release}

%description -n	%{libname}
libopenraw is an ongoing project to provide a free software implementation
for camera RAW files decoding. One of the main reason is that dcraw is not
suited for easy integration into applications, and there is a need for an
easy to use API to build free software digital image processing application.

It also has the goal to address missing feature from dcraw like meta-data
decoding and easy thumbnail extraction.

%package -n	%{develname}
Summary:	Headers and links to compile against the "%{libname}" library
Group:		Development/C
Requires: 	%{libname} >= %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n	%{develname}
This package contains all files which one needs to compile programs using
the "%{libname}" library.

%prep
%setup -qn %{name}-%{?gdate}%{?!gdate:%version}

sed -i -e 's|AM_CONFIG_HEADER|AC_CONFIG_HEADERS|g' configure.ac

%build
autoreconf -vfi
%configure \
	--disable-static \
	--disable-silent-rules
%make_build

%__make dox

%install
%make_install

%post
%{_bindir}/gdk-pixbuf-query-loaders --update-cache

%postun
%{_bindir}/gdk-pixbuf-query-loaders --update-cache

%files
%{_libdir}/gdk-pixbuf-2.0/*/loaders/*.so

%files -n %{libname}
%doc AUTHORS NEWS README ChangeLog TODO
%license COPYING*
%{_libdir}/libopenraw.so.%{major}{,.*}
%{_libdir}/libopenrawgnome.so.%{major}{,.*}

%files -n %{develname}
%doc doc/doxygen/html/
%{_includedir}/libopenraw-%{api}/
%{_libdir}/libopenraw.so
%{_libdir}/libopenrawgnome.so
%{_libdir}/pkgconfig/libopenraw-%{api}.pc
%{_libdir}/pkgconfig/libopenraw-gnome-%{api}.pc


%changelog
* Tue Jul 22 2025 daviddavid <daviddavid> 0.3.7-1.mga10
+ Revision: 2258050
- new version: 0.3.7
- now libmajor is 9

* Fri Jun 27 2025 umeabot <umeabot> 0.1.3-5.mga10
+ Revision: 2210760
- Mageia 10 Mass Rebuild

* Wed Mar 23 2022 umeabot <umeabot> 0.1.3-4.mga9
+ Revision: 1821836
- Mageia 9 Mass Rebuild

* Fri Feb 14 2020 umeabot <umeabot> 0.1.3-3.mga8
+ Revision: 1520552
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Fri Nov 30 2018 daviddavid <daviddavid> 0.1.3-2.mga7
+ Revision: 1336948
- new version: 0.1.3

* Sun Sep 23 2018 umeabot <umeabot> 0.1.2-2.mga7
+ Revision: 1299072
- Mageia 7 Mass Rebuild
+ kekepower <kekepower>
- Use __make

* Tue May 23 2017 luigiwalser <luigiwalser> 0.1.2-1.mga6
+ Revision: 1104163
- 0.1.2

* Sun Dec 04 2016 wally <wally> 0.1.0-1.mga6
+ Revision: 1072438
- new version 0.1.0

* Thu Feb 11 2016 umeabot <umeabot> 0.1.0-0.git20150719.2.mga6
+ Revision: 955610
- Mageia 6 Mass Rebuild

* Sat Oct 17 2015 wally <wally> 0.1.0-0.git20150719.1.mga6
+ Revision: 892408
- build latest git snapshot

* Wed Oct 15 2014 umeabot <umeabot> 0.0.9-8.mga5
+ Revision: 746668
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.0.9-7.mga5
+ Revision: 681683
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 0.0.9-6.mga4
+ Revision: 529287
- Mageia 4 Mass Rebuild

* Mon Jul 08 2013 fwang <fwang> 0.0.9-5.mga4
+ Revision: 451236
- rebuild for new boost

* Sat Jan 12 2013 umeabot <umeabot> 0.0.9-4.mga3
+ Revision: 357933
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Jan 07 2013 luigiwalser <luigiwalser> 0.0.9-3.mga3
+ Revision: 340629
- fix for automake 1.13

* Fri Nov 30 2012 ovitters <ovitters> 0.0.9-2.mga3
+ Revision: 323419
- clean spec
- fix rpm group

* Tue Dec 06 2011 tv <tv> 0.0.9-1.mga2
+ Revision: 177958
- new release

* Sun Nov 06 2011 dmorgan <dmorgan> 0.0.8-6.mga2
+ Revision: 164275
+ rebuild (emptylog)

* Wed Jan 19 2011 ahmad <ahmad> 0.0.8-5.mga1
+ Revision: 24738
- drop old/unneeded scriptlets
- imported package libopenraw


* Thu Jul 29 2010 Funda Wang <fwang@mandriva.org> 0.0.8-4mdv2011.0
+ Revision: 563212
- add patch to build correctly with gdk 2.22

* Sun Jan 10 2010 Oden Eriksson <oeriksson@mandriva.com> 0.0.8-3mdv2010.1
+ Revision: 488780
- rebuilt against libjpeg v8

* Sat Aug 15 2009 Oden Eriksson <oeriksson@mandriva.com> 0.0.8-2mdv2010.0
+ Revision: 416623
- rebuilt against libjpeg v7

* Sat May 16 2009 Götz Waschk <waschk@mandriva.org> 0.0.8-1mdv2010.0
+ Revision: 376363
- update to new version 0.0.8

* Sat May 02 2009 Frederik Himpe <fhimpe@mandriva.org> 0.0.7-1mdv2010.0
+ Revision: 370808
- Don't build static libraries
- Remove glib2-devel BuildRequires, already required by libgdk_pixbuf2.0-devel
- Add gtk+2-devel BuildRequires in order to build gdkpixbufloaders
- Put gdkpixbufloaders in libopenraw package instead of in devel package
- update to new version 0.0.7

  + Emmanuel Andry <eandry@mandriva.org>
    - BR curl-devel
    - New version 0.0.6
    - license is now LGPLv3+

* Tue Jun 17 2008 Thierry Vignaud <tv@mandriva.org> 0.0.5-3mdv2009.0
+ Revision: 222945
- rebuild

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Sun Mar 23 2008 Emmanuel Andry <eandry@mandriva.org> 0.0.5-2mdv2008.1
+ Revision: 189603
- Fix groups
- protect major

* Tue Feb 26 2008 Götz Waschk <waschk@mandriva.org> 0.0.5-1mdv2008.1
+ Revision: 175263
- new version

* Sun Jan 27 2008 Funda Wang <fwang@mandriva.org> 0.0.4-1mdv2008.1
+ Revision: 158880
- BR libxml2
- New version 0.0.4

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild
    - kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot


* Mon Feb 19 2007 Pascal Terjan <pterjan@mandriva.org> 0.0.2-1mdv2007.0
+ Revision: 122750
- Import libopenraw

* Mon Feb 19 2007 Pascal Terjan <pterjan@mandriva.org> 0.0.2-1mdv2007.1
- Initial release

